|  | Home · All Classes · Main Classes · Grouped Classes · Modules · Functions |

# Qt 3 Support Members for QMap

The following class members are part of the Qt 3 support layer. They are provided to help you port old code to Qt 4. We advise against using them in new code.

- QMap class reference

### Public Functions

- void erase ( const Key & key )
- iterator insert ( const Key & key, const T & value, bool overwrite )
- iterator remove ( iterator it )
- iterator replace ( const Key & key, const T & value )

## Member Function Documentation

### void QMap::erase ( const Key & key )

This is an overloaded member function, provided for convenience. It behaves essentially like the above function.

Use remove(key) instead.

### iterator QMap::insert ( const Key & key, const T & value, bool overwrite )

This is an overloaded member function, provided for convenience. It behaves essentially like the above function.

Use the two-argument insert() overload instead. If you want to overwrite, remove() then insert().

### iterator QMap::remove ( iterator it )

This is an overloaded member function, provided for convenience. It behaves essentially like the above function.

Use erase(it) instead.

### iterator QMap::replace ( const Key & key, const T & value )

Use remove() then insert().